#!/bin/bash
# Log file of this script
LOG=/tmp/`date --date "today " +%d%b%y`.calamaris-log

# Hours Used in calamaris command  
# Start hours
STARTHR=000000

# End hours 
ENDHR=235959

# Find date for report duration
TODAY=$(date --date "today" +%Y%m%d)
YESTERDAY=$(date --date "1 day ago" +%Y%m%d)
WEEKAGO=$(date --date "1 week ago" +%Y%m%d)
MONTHAGO=$(date --date "month ago" +%Y%m%d)$STARTHR-$TODAY$ENDHR
echo -e "\033[91m ${MONTHAGO}\033[0m"
#rm -rf /tmp/*calamaris.*

# Path of the Access.log file 
ACCCESS_LOGFILE="/opt/safesquid/safesquid/logs/access/access.log"


# Path of the calamaris {command} script 
COMMAND="/usr/local/calamaris/calamaris"

# Path of the config file to use for  report generation
CONFIG_FILE="/usr/local/calamaris/calamaris.conf"


# Uncoment following line to create the Calamaris report daily
# echo " Executing command cat ${ACCCESS_LOGFILE} | ${COMMAND} --config-file ${CONFIG_FILE} -a -b 100 --output-file $(date --date "1 day ago" +%d-%b-%Y).html -I $YESTERDAY$STARTHR-$YESTERDAY$ENDHR at >${LOG}"
cat ${ACCCESS_LOGFILE} | ${COMMAND} --config-file ${CONFIG_FILE} -a -b 1 --output-file $(date --date "1 day ago" +%d-%b-%Y).html -I $YESTERDAY$STARTHR-$YESTERDAY$ENDHR > ${LOG}

# Uncoment following line to create the Calamaris weekly
# echo " Executing command  cat ${ACCCESS_LOGFILE} | ${COMMAND} --config-file ${CONFIG_FILE} -a -b 100 --output-file $(date --date "1 week ago" +%d-%b-%Y)week.html -I $WEEKAGO$STARTHR-$TODAY$ENDHR  > ${LOG}"
#cat ${ACCCESS_LOGFILE} | ${COMMAND} --config-file ${CONFIG_FILE} -a -b 100 --output-file $(date --date "1 week ago" +%d-%b-%Y)week.html -I $WEEKAGO$STARTHR-$TODAY$ENDHR  > ${LOG}

# Uncoment following line to create the Calamaris report monthly it of the last month
# echo "Executing cat ${ACCCESS_LOGFILE} | ${COMMAND} --config-file ${CONFIG_FILE} -a -b 100 --output-file  $(date --date "1 month ago" +%d-%b-%Y)month.html -I ${MONTHAGO} > ${LOG}"
#cat ${ACCCESS_LOGFILE} | ${COMMAND} --config-file ${CONFIG_FILE} -a -b 100 --output-file  $(date --date "1 month ago" +%d-%b-%Y)month.html -I ${MONTHAGO} > ${LOG}


